org.keycloak.protocol.oidc.grants.ciba.channel

## Class HttpAuthenticationChannelProviderFactory

- java.lang.Object
- - org.keycloak.protocol.oidc.grants.ciba.channel.HttpAuthenticationChannelProviderFactory

- All Implemented Interfaces:
    AuthenticationChannelProviderFactory, EnvironmentDependentProviderFactory, ProviderFactory<AuthenticationChannelProvider>

      public class HttpAuthenticationChannelProviderFactory
      extends Object
      implements AuthenticationChannelProviderFactory

  Author:
    Takashi Norimatsu

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `httpAuthenticationChannelUri`
    `static String` | `PROVIDER_ID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HttpAuthenticationChannelProviderFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()` This is called when the server shuts down.
    `AuthenticationChannelProvider` | `create(KeycloakSession session)`
    `String` | `getId()`
    `void` | `init(Config.Scope config)` Only called once when the factory is first created.
    `void` | `postInit(KeycloakSessionFactory factory)` Called after all provider factories have been initialized

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.keycloak.protocol.oidc.grants.ciba.channel.AuthenticationChannelProviderFactory

      `isSupported`

    - ### Methods inherited from interface org.keycloak.provider.ProviderFactory

      `order`

- - ### Field Detail

    - #### PROVIDER_ID

          public static final String PROVIDER_ID

      See Also:
        Constant Field Values

    - #### httpAuthenticationChannelUri

          protected String httpAuthenticationChannelUri

  - ### Constructor Detail

    - #### HttpAuthenticationChannelProviderFactory

          public HttpAuthenticationChannelProviderFactory()

  - ### Method Detail

    - #### create

          public AuthenticationChannelProvider create(KeycloakSession session)

      Specified by:
        `create` in interface `ProviderFactory<AuthenticationChannelProvider>`

    - #### init

          public void init(Config.Scope config)

      Description copied from interface: `ProviderFactory`
      Only called once when the factory is first created. This config is pulled from keycloak_server.json
      Specified by:
        `init` in interface `ProviderFactory<AuthenticationChannelProvider>`

    - #### postInit

          public void postInit(KeycloakSessionFactory factory)

      Description copied from interface: `ProviderFactory`
      Called after all provider factories have been initialized
      Specified by:
        `postInit` in interface `ProviderFactory<AuthenticationChannelProvider>`

    - #### close

          public void close()

      Description copied from interface: `ProviderFactory`
      This is called when the server shuts down.
      Specified by:
        `close` in interface `ProviderFactory<AuthenticationChannelProvider>`

    - #### getId

          public String getId()

      Specified by:
        `getId` in interface `ProviderFactory<AuthenticationChannelProvider>`

Copyright © 2021 JBoss by Red Hat. All rights reserved.